// pages/payee/add/add.js
import * as UTIL from '../../../utils/util.js';
import * as API from '../../../utils/API.js';
const app = getApp();
Page({

  /**
   * 页面的初始数据
   */
  data: {
    isIPX: app.globalData.isIPX,
    form:{
      payee:'',
      payeeAccount:'',
      bankType:'',
      bankDeposit:'',
      accountType:'',
      payeeType:'',
      payeePaymentLines:'',
      status:'0',
    },
    showBankType:false,
    showAccountType:false,
    bankTypeOptions:[],
    bankTypeText:'',
    accountTypeOptions:[],
    payeeTypeOptions:[],
    accountTypeText:'',
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad(options) {

  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady() {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow() {
    var that = this;
    // 所属银行字典查询 
    UTIL.httpRequest(API.URL_GET_GETDICTTYPE + 'bank_type', {method:'GET'}, {
      success: (res) => {
        // let array = res.data.filter(function (e) { return e.dictValue == event.detail.value.bankType; });
        this.setData({
          bankTypeOptions:res.data
        });
      }
    })
    // 付款方式类型字典查询 
    UTIL.httpRequest(API.URL_GET_GETDICTTYPE + 'account_type', {method:'GET'}, {
      success: (res) => {
        that.setData({
          accountTypeOptions:res.data,
        })
      }
    })
    // 付款方式类型字典查询 
    UTIL.httpRequest(API.URL_GET_GETDICTTYPE + 'payee_type', {method:'GET'}, {
      success: (res) => {
        that.setData({
          payeeTypeOptions:res.data,
        })
      }
    })
    
  },
  back:function(){
    wx.navigateBack({
      delta: 1
    })
  },
  openBox(even){
    console.log(even);
    var that = this ;
    if(even.currentTarget.dataset.name == "showDeposit"){
      if(that.data.form.bankType == ''){
        UTIL.showToastNoneIcon('请先选择所属银行！');
        that.setData({
          [even.currentTarget.dataset.name]:false,
        })
        return;
      }
    }
    this.setData({
      [even.currentTarget.dataset.name]:true
    })
  },
  onConfirm(even){
    console.log(even);
    var that = this ;
    if(even.currentTarget.dataset.name == "showBankType"){
      // 付款方式类型字典查询 
      UTIL.httpRequest(API.URL_GET_DEPOSITLIST, {method:'GET',bankType:even.detail.value.dictValue,status:'0'}, {
        success: (res) => {
          that.setData({
            depositOptions:res.rows,
          })
        }
      })
    }
    this.setData({
      [even.currentTarget.dataset.value]:even.detail.value.dictValue,
      [even.currentTarget.dataset.value+"Text"]:even.detail.value.dictLabel,
      [even.currentTarget.dataset.name]:false,
    })
  },
  onConfirmDeposit(even){
    this.setData({
      [even.currentTarget.dataset.value]:even.detail.value.id,
      [even.currentTarget.dataset.value+"Text"]:even.detail.value.bankDeposit,
      [even.currentTarget.dataset.name]:false,
    })
  },
  closeBox(even){
    console.log(even.currentTarget.dataset.name);
    this.setData({
      [even.currentTarget.dataset.name]:false
    })
  },
  goSubmit(){
    console.log(this.data.form);
    var that = this;
    that.setData({
      ['form.method']:'POST'
    })
    UTIL.httpRequest(API.URL_GET_PAYEEADD, that.data.form, {
      success: (res) => {
        if (res.code == API.SUCCESS_CODE) {
          wx.navigateBack({
            delta:1
          })
        }
      }
    })
  },
  onChange(even){
    console.log(even);
    this.setData({
      [even.currentTarget.dataset.formname]:even.detail
    })
  },
  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide() {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload() {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh() {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom() {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage() {

  }
})